- libbson 1.13.1 »
- API Reference »
- Character and String Routines

# bson_utf8_get_char()

## Synopsis

    bson_unichar_t
    bson_utf8_get_char (const char *utf8);

## Parameters

- `utf8`: A UTF-8 encoded string.

## Description

Converts the current character in a UTF-8 sequence to a bson_unichar_t, the 32-bit representation of the multi-byte character.

## Returns

A bson_unichar_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.